--[[

This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 

--]]


Ball = Core.class(Sprite)

function Ball:init(texture)
	local bitmap = Bitmap.new(Texture.new(texture))
	bitmap:setScale(0.3)
	self:addChild(bitmap)

	self.xdirection = 1
	self.ydirection = 1
	self.xspeed = 0--math.random(40, 60) / 20
	self.yspeed = 3--math.random(40, 60) / 20
	
	self:setX(math.random(0, 270))
	self:setY(0)

	self.width = self:getWidth()
	self.height = self:getHeight()
	
	self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
end


function Ball:onEnterFrame(event)
	local x, y = self:getPosition()

	x = x + (self.xspeed * self.xdirection)
	y = y + (self.yspeed * self.ydirection)
	
	if x < 0 then
		self.xdirection = 1
	end
		
	if x > 320 - self.width then
		self.xdirection = -1
	end

	if y < 0 then
		self.ydirection = 1
	end
		
	if y > 480 - self.height then
		self.ydirection = -1
	end

	self:setPosition(x, y)
end